> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/clear-udelement.md).

# Clear-UDElement

Clear-UDElement elimina todos los elementos secundarios de un elemento especificado en un panel de PowerShell Universal, con un comportamiento que varía según el tipo de elemento.

### Sinopsis

Elimina todos los elementos secundarios del elemento especificado.

### Sintaxis

```powershell
Clear-UDElement [-Id] <String> [-Broadcast] [<CommonParameters>]
```

### Descripción

Elimina todos los elementos secundarios del elemento especificado. Este cmdlet puede comportarse de forma diferente según el tipo de elemento principal.

### Parámetros

#### -Id

El ID del elemento que se va a borrar.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Indica si se debe borrar el elemento en todos los clientes conectados.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1: borrar un elemento

```powershell
New-UDElement -Tag 'div' -Id 'clearElement1' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement1'
}
```

Borra un elemento.

#### Ejemplo 2: difusión

```powershell
New-UDElement -Tag 'div' -Id 'clearElement2' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Clear-UDElement -Id 'clearElement2' -Broadcast
}
```

Borra un elemento y lo difunde a todos los paneles conectados.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/clear-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
